/*
 * Sakreble! - open word game.
 * Copyright (C) 2004 Marcin Gajda
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef GAMEBOARD_H
#define GAMEBOARD_H

#include <qwidget.h>

class Alphabet;

struct Field
{
    char letter;
    int bonus;
    int added;	// Czy player sobie uklada wlasnie te literke na planszy
};

class Gameboard : public QWidget
{
	Q_OBJECT

	public:
		Gameboard( QWidget *parent = 0 , const char *name = 0 );

		int bonus( int , int );
		char letter( int , int );
		void setLetter( char , int , int );
		void setBonus( int , int , int );
		char letterPoint( char );
		void setAlphabet( Alphabet *a ) { alphabet = a; }
		void setAddedLetter( char , int , int );
		void removeAddedLetter( int , int );
		int addedLetter( int i , int j ) { return fields[i][j].added; }
		void highlightLetter( int , int );
		void highlightBlank();
		void turnOffBlank();
		void turnOffLetter();
		int isWordCorrectlyAdded();
		int thereAreAddedLetters();
		void removeAddedLetters();
		int thereAreLetters();
		int getPointValue( int , int , int );
		int getPointValue();
		void removeAddingIndicatorFromAddedLetters();
		void clearGameboard();
		int isBlankAdded();
		void changeBlank( char );
		void highlightLetterUstawionaPrzezKomputer( char , int , int );

	signals:
		void gameboardClicked( int , int );
		void enableOkButton( int );

	protected:
		void paintEvent( QPaintEvent * );
		void mousePressEvent( QMouseEvent * );

	private:
		Field fields[15][15];
		Alphabet *alphabet;
		int highlightingXPos, highlightingYPos;
};

#endif
